                                                                                                                                                                                                                                             
user  nginx;                                                                                                                                                                                                                                 
worker_processes  1;                                                                                                                                                                                                                         
                                                                                                                                                                                                                                              
pid        /var/run/nginx.pid;                                                                                                                                                                                                               
                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                             
events {                                                                                                                                                                                                                                     
    worker_connections  1024;                                                                                                                                                                                                                
}                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                             
http {                                                                                                                                                                                                                                       
    include       /etc/nginx/mime.types;                                                                                                                                                                                                     
    default_type  application/octet-stream;                                                                                                                                                                                                  
                                                                                                                                                                                                                                             
    log_format  main  escape=json '{"time_local":"$time_local",'                                                                                                                                                                             
        '"remote_addr":"$remote_addr",'                                                                                                                                                                                                      
        '"remote_user":"$remote_user",'                                                                                                                                                                                                      
        '"request":"$request",'                                                                                                                                                                                                              
        '"status":"$status","body_bytes_sent":"$body_bytes_sent",'                                                                                                                                                                           
        '"http_referer":"$http_referer",'                                                                                                                                                                                                    
        '"http_user_agent":"$http_user_agent",'                                                                                                                                                                                              
        '"http_x_forwarded_for":"$http_x_forwarded_for"}';   
        
    log_format  warn  escape=json '{"time_local":"$time_local",'                                                                                                                                                                             
        '"remote_addr":"$remote_addr",'                                                                                                                                                                                                      
        '"remote_user":"$remote_user",'                                                                                                                                                                                                      
        '"request":"$request",'                                                                                                                                                                                                              
        '"status":"$status","body_bytes_sent":"$body_bytes_sent",'                                                                                                                                                                           
        '"http_referer":"$http_referer",'                                                                                                                                                                                                    
        '"http_user_agent":"$http_user_agent",'                                                                                                                                                                                              
        '"http_x_forwarded_for":"$http_x_forwarded_for"}'; 
                                                                                                                                                                                                                                             
    access_log  /var/log/nginx/access.log  main;                                                                                                                                                                                             
                                                                                                                                                                                                         
    error_log  /var/log/nginx/error.log warn;                                                                                                                                                                                                                                       
    
    sendfile        on;                                                                                                                                                                                                                      
    #tcp_nopush     on;                                                                                                                                                                                                                      
                                                                                                                                                                                                                                             
    keepalive_timeout  65;                                                                                                                                                                                                                   
                                                                                                                                                                                                                                             
    #gzip  on;

    include /etc/nginx/conf.d/*.conf;
}
